Summary:	Baekmuk korean fonts
Name:		fonts-ttf-korean
Version:	2.1
Release:	4mdk

Source0:	ftp://ftp.mizi.com/pub/baekmuk/baekmuk-ttf-2.1.tar.bz2
Source1:	ftp://ftp.mizi.com/pub/baekmuk/baekmuk-doc-2.1.tar.bz2
Source2:	%name-fonts.alias.bz2
Source3:	cidinst.korean
Source4:	cidunin.korean

License:	GPL
Group:		System/Fonts/True type
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools
Obsoletes: 	baekmuk hwan-fonts
Provides:	baekmuk hwan-fonts
Prereq:		%_sbindir/chkfontpath

%description
Baekmuk Korean TTF Fonts.

%prep

%setup -q -T -c -a0 -a1
 
%build

%install
rm -fr %buildroot

install -d %buildroot/%_datadir/fonts/ttf/korean/
install -m 0644 *.ttf %buildroot/%_datadir/fonts/ttf/korean

install -m 0755 %{SOURCE3} %buildroot/%_datadir/fonts/ttf/korean/cidinst
install -m 0755 %{SOURCE4} %buildroot/%_datadir/fonts/ttf/korean/cidunin

(
cd %buildroot/%_datadir/fonts/ttf/korean
/usr/sbin/ttmkfdir -u > fonts.scale
cp fonts.scale fonts.dir
bzcat %SOURCE2 > fonts.alias
%_bindir/fc-cache . || touch fonts.cache-1
) 

%post
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/ttf/korean
   %_datadir/fonts/ttf/korean/cidinst
else
   echo "You don't have a chkfontpath utility; you will need to manually"
   echo "Install the fonts into your TTF enabled font server"
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%preun
%_datadir/fonts/ttf/korean/cidunin

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/ttf/korean
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc COPYRIGHT*
#
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/fonts/ttf/korean/
%_datadir/fonts/ttf/korean/*.ttf
#
%attr(0755,root,root) %_datadir/fonts/ttf/korean/cid*
#
%config(noreplace) %_datadir/fonts/ttf/korean/fonts.dir
%config(noreplace) %_datadir/fonts/ttf/korean/fonts.scale
%config(noreplace) %_datadir/fonts/ttf/korean/fonts.alias
%_datadir/fonts/ttf/korean/fonts.cache-1

%changelog
* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1-4mdk
- rebuild

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.1-3mdk
- proper use of fc-cache

* Mon Dec 23 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.1-2mdk
- changed cache files to Xft2 format
- made korean fonts register with ghostscript

* Thu Sep 05 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.1-1mdk
- updated to 2.1 (supports jamo hangul and has proper font naming, it
  works better with OOo)
- added aliases to match old X11 names for compatibility

* Wed Sep 04 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-6mdk
- rebuild with a new XftCache file
- removed now useless encodings file

* Mon Nov 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0-5mdk
- Own /usr/share/fonts/ & Co
- Clean spec

* Sat Sep 22 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-6mdk
- rebuild with a non automatic files.dir (ttmkfidir doesn't find properly
  the font names)

* Fri Jun 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-3mdk
- added XftCache support

* Sat Jun  2 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.0-2mdk
- BuildRequires: freetype-tools

* Fri Mar 30 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-1mdk
- updated to new font version
- removed useless kill commands from post scripts

* Tue Mar 27 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-7mdk
- fix tmppath
- get rid of tar

* Wed Sep 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-6mdk
- adapted for the xfs in XFree86 4

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 1.0-5mdk
- mandrake release.

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-4mdk
- fixed typo True Type -> True type

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- made %post/%postun more robust
- New Groups: naming
- removed *.tti, which are now obsolete

* Wed Jan  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-2mdk
- added a prereq on chkfontpath.

* Wed Aug 25 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to mandrake (only TTF are packaged)

* Fri Jul 23 1999 Woohyun JANG <louis@mizi.co.kr>
- bug fix in fonts.dir(in baekmuk-ttf)
- remove baekmuk-doc package

* Thu Jul 22 1999 Woohyun JANG <louis@mizi.co.kr>
- bug fix in fonts.dir(in baekmuk-ttf)

* Thu Jul 22 1999 Woohyun JANG <louis@mizi.co.kr>
- initial release of baekmuk font 

* Mon Jul 05 1999 Woohyun JANG <louis@mizi.co.kr>
- add %triggerin 

* Wed Jun 23 1999 Woohyun JANG <louis@mizi.co.kr>
- first released
